---
title: "qrz.sh - a CLI QRZ.com query tool"
type: post
author: micha
date: 2020-11-09T17:00:00+02:00
url: /qrz-sh/
tags:
 - Software
 - Bash
 - CLI
 - Ham Radio
---

# About

This script queries the QRZ.com callsign database and returns
the result to the command line. A XML subscription plan with
QRZ.com is required for full functionality.

You can download the script here: [https://codeberg.org/mclemens/qrz.sh](https://codeberg.org/mclemens/qrz.sh)

![screenshot](/img/qrz-sh.jpg)

# Installation

* Copy the file _.qrz.conf_ into your home directory
* Copy the file _qrz.sh_ into a directory that is in you PATH variable
* Set the correct file permissions: _chmod u+x qrz.sh_

# Dependencies

* curl

# Configuration

Edit the file _~/.qrz.conf_ like this:

```
user=<your QRZ.com username - typically your callsign>
password=<your QRZ.com password - NOT your API key>
```

# Usage

```
# qrz.sh <callsign>
```

